class CityAddressBo {
  CityAddressBo({
    this.parent,
    this.name,
    this.id,
    this.text,
  });

  CityAddressBo.fromJson(dynamic json) {
    parent = json['parent'];
    name = json['name'];
    id = json['id'];
    text = json['text'];
  }

  String? parent;
  String? name;
  String? id;
  String? text;

  CityAddressBo copyWith({
    String? parent,
    String? name,
    String? id,
    String? text,
  }) =>
      CityAddressBo(
        parent: parent ?? this.parent,
        name: name ?? this.name,
        id: id ?? this.id,
        text: text ?? this.text,
      );

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['parent'] = parent;
    map['name'] = name;
    map['id'] = id;
    map['text'] = text;
    return map;
  }
}
